Skip to navigation

List callback deliveries

Command, session and CDR callbacks sent to the URLs from your command headers: attempts, last error and status. Send authorization_reference or tracking_id.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

authorization_referencestring or nullOptional<=36 characters

Only this authorization (the reference you sent the command with).

tracking_idstring or nullOptional<=36 characters
Only this command's callbacks.
afterstring or nullOptional1-255 characters

Cursor: the previous page’s pagination.end_cursor. Omit it for the first page.

limitintegerOptional1-200Defaults to 50

Maximum rows per page (default 50, max 200).

Response

One page of callback deliveries.
datalist of objects
paginationobject

Spirii cursor page. Pass end_cursor as the next after value.

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error